bm::decoder_range_adapter< DEC > Class Template Reference

Adapter to get words from a range stream (see range serialized bit-block). More...

`#include <bmfunc.h>`

## Public Member Functions

| decoder_range_adapter (DEC &dec, unsigned from_idx, unsigned to_idx)
bm::word_t | get_32 () BMNOEXCEPT

## Detailed Description

template<class DEC>
class bm::decoder_range_adapter< DEC >

Adapter to get words from a range stream (see range serialized bit-block).

Definition at line 9406 of file bmfunc.h.

## Constructor & Destructor Documentation

## decoder_range_adapter()

template<class DEC>

bm::decoder_range_adapter< DEC >::decoder_range_adapter | ( | DEC & | dec,
|  | unsigned | from_idx,
|  | unsigned | to_idx )

inline

Definition at line 9409 of file bmfunc.h.

## Member Function Documentation

## get_32()

template<class DEC>

bm::word_t bm::decoder_range_adapter< DEC >::get_32 | ( |  | ) |

inline

Definition at line 9416 of file bmfunc.h.

References BMNOEXCEPT.

The documentation for this class was generated from the following file:

- bmfunc.h